@import '../../_mixins.scss';

.right-menu{
  .sidebar {
    height: 100%;
    width: 0%;
    position: fixed;
    z-index: 10001;
    top: 0;
    right: 0;
    background-color: #fff;
    overflow-x: hidden;
    transition: 0.5s;
    border-left: 5px solid  var(--primary);
    padding:10px 20px;

    .title {
      font-size: var(--font-xxxxl);
      font-weight: 600;
      border-bottom: 1px solid #ccc;

      div{
        text-align: center;
      }
      span{
        font-size: 25px;
      }
    }
    .closebtn {
      position: absolute;
      top: 0;
      left: 25px;
      padding: 0 0 0 10px;
      font-size: var(--font-xxxxl);
      cursor: pointer;
      margin-left: -15px;
      &::before {
        content: "<";
        width: 2px;
        height: 8px;
        position: absolute;
        left: -7px;
        font-size: 25px;
        top: -3px;
        transform: rotate(0deg);
        border-radius: 16px;
        transition: transform 200ms ease-in-out, opacity 300ms ease-in-out 200ms;
    
      }
  }

    .side-bar__collapse-toggle {
      --toggle-width: 16px;
      display: flex;
      align-items: center;
      justify-content: flex-end;
      position: absolute;
      top: 0;
      right: calc(0px - var(--toggle-width));
      width: var(--toggle-width);
      height: 100vh;
      border: none;
      cursor: pointer;
      @include transitions(all 0.25s ease-in);

      button {
        height: 14px;
        width: var(--toggle-width);
        margin: 0;
        padding: 0;
        background: transparent;
        border: none;
        outline: none;
        position: relative;

        &::before,
        &::after {
          content: "";
          background-color: var(--primary);
          width: 2px;
          height: 8px;
          position: absolute;
          left: 8px;
          opacity: 0;
          transform: rotate(0deg);
          border-radius: 16px;
          transition: transform 200ms ease-in-out, opacity 300ms ease-in-out 200ms;
        }

        &::before {
          top: 0px;
        }

        &::after {
          top: 4px;
        }

        &:hover {
          &::before {
            transform: rotate(45deg);
          }

          &::after {
            transform: rotate(-45deg);
            top: 5px;
          }
        }
      }

      &:hover {
        border-left: 3px solid var(--primary);

        button {
          &::before,
          &::after {
            opacity: 1;
          }
        }
      }
    }
  }

  .sidebar-open {
    width: 1100px;
    min-width: 1100px !important;
    display: unset;
  }
  .sidebar-close {
    width: 0;
    display: none;
  }


  /* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
  @media screen and (max-height: 450px) {
    .sidebar {padding-top: 15px;}
  }

}